2018-01-21 01:49 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000075mercuryBugpublic2016-08-28 13:31
Reporterwangp 
Assigned Towangp 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000075: better treatment of absolute pathnames
DescriptionThe compiler doesn't like absolute pathnames in Mercury.modules files, e.g.

    % mmc -f /tmp/*.m
    % mmc --generate-dependencies foo
    Uncaught Mercury exception:
    Software Error: dir./: second argument is absolute
    Stack dump not available in this grade.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000905

wangp (developer)

Can't reproduce any more, probably fixed.
+Notes

-Issue History
Date Modified Username Field Change
2008-08-12 15:57 wangp New Issue
2016-08-28 13:31 wangp Note Added: 0000905
2016-08-28 13:31 wangp Status new => resolved
2016-08-28 13:31 wangp Resolution open => fixed
2016-08-28 13:31 wangp Assigned To => wangp
+Issue History